
;;;### (autoloads (vassoc set-modified-alist modify-alist remove-alist
;;;;;;  set-alist del-alist put-alist) "alist" "emacs-lisp/alist.el"
;;;;;;  (15042 50824))
;;; Generated autoloads from emacs-lisp/alist.el

(autoload (quote put-alist) "alist" "\
Set cdr of an element (KEY . ...) in ALIST to VALUE and return ALIST.
If there is no such element, create a new pair (KEY . VALUE) and
return a new alist whose car is the new pair and cdr is ALIST." nil nil)

(autoload (quote del-alist) "alist" "\
Delete an element whose car equals KEY from ALIST.
Return the modified ALIST." nil nil)

(autoload (quote set-alist) "alist" "\
Set cdr of an element (KEY . ...) in the alist bound to SYMBOL to VALUE." nil nil)

(autoload (quote remove-alist) "alist" "\
Delete an element whose car equals KEY from the alist bound to SYMBOL." nil nil)

(autoload (quote modify-alist) "alist" "\
Store elements in the alist MODIFIER in the alist DEFAULT.
Return the modified alist." nil nil)

(autoload (quote set-modified-alist) "alist" "\
Store elements in the alist MODIFIER in an alist bound to SYMBOL.
If SYMBOL is not bound, set it to nil at first." nil nil)

(autoload (quote vassoc) "alist" "\
Search AVLIST for an element whose first element equals KEY.
AVLIST is a list of vectors.
See also `assoc'." nil nil)

;;;***

;;;### (autoloads (mime-decode-header-in-buffer mime-decode-header-in-region
;;;;;;  mime-decode-field-body mime-update-field-decoder-cache mime-find-field-decoder
;;;;;;  mime-find-field-presentation-method mime-set-field-decoder)
;;;;;;  "eword-decode" "mime/eword-decode.el" (15042 50834))
;;; Generated autoloads from mime/eword-decode.el

(autoload (quote mime-set-field-decoder) "eword-decode" "\
Set decoder of FIELD.
SPECS must be like `MODE1 DECODER1 MODE2 DECODER2 ...'.
Each mode must be `nil', `plain', `wide', `summary' or `nov'.
If mode is `nil', corresponding decoder is set up for every modes." nil nil)

(autoload (quote mime-find-field-presentation-method) "eword-decode" "\
Return field-presentation-method from NAME.
NAME must be `plain', `wide', `summary' or `nov'." nil (quote macro))

(autoload (quote mime-find-field-decoder) "eword-decode" "\
Return function to decode field-body of FIELD in MODE.
Optional argument MODE must be object or name of
field-presentation-method.  Name of field-presentation-method must be
`plain', `wide', `summary' or `nov'.
Default value of MODE is `summary'." nil nil)

(autoload (quote mime-update-field-decoder-cache) "eword-decode" "\
Update field decoder cache `mime-field-decoder-cache'." nil nil)

(autoload (quote mime-decode-field-body) "eword-decode" "\
Decode FIELD-BODY as FIELD-NAME in MODE, and return the result.
Optional argument MODE must be `plain', `wide', `summary' or `nov'.
Default mode is `summary'.

If MODE is `wide' and MAX-COLUMN is non-nil, the result is folded with
MAX-COLUMN.

Non MIME encoded-word part in FILED-BODY is decoded with
`default-mime-charset'." nil nil)

(autoload (quote mime-decode-header-in-region) "eword-decode" "\
Decode MIME encoded-words in region between START and END.
If CODE-CONVERSION is nil, it decodes only encoded-words.  If it is
mime-charset, it decodes non-ASCII bit patterns as the mime-charset.
Otherwise it decodes non-ASCII bit patterns as the
default-mime-charset." t nil)

(autoload (quote mime-decode-header-in-buffer) "eword-decode" "\
Decode MIME encoded-words in header fields.
If CODE-CONVERSION is nil, it decodes only encoded-words.  If it is
mime-charset, it decodes non-ASCII bit patterns as the mime-charset.
Otherwise it decodes non-ASCII bit patterns as the
default-mime-charset.
If SEPARATOR is not nil, it is used as header separator." t nil)

;;;***

;;;### (autoloads (mime-encode-header-in-buffer mime-encode-field-body)
;;;;;;  "eword-encode" "mime/eword-encode.el" (15042 50834))
;;; Generated autoloads from mime/eword-encode.el

(autoload (quote mime-encode-field-body) "eword-encode" "\
Encode FIELD-BODY as FIELD-NAME, and return the result.
A lexical token includes non-ASCII character is encoded as MIME
encoded-word.  ASCII token is not encoded." nil nil)

(autoload (quote mime-encode-header-in-buffer) "eword-encode" "\
Encode header fields to network representation, such as MIME encoded-word.

It refer variable `mime-field-encoding-method-alist'." t nil)

;;;***

;;;### (autoloads (feedmail-queue-reminder feedmail-run-the-queue
;;;;;;  feedmail-run-the-queue-global-prompt feedmail-run-the-queue-no-prompts
;;;;;;  feedmail-send-it) "feedmail" "mail/feedmail.el" (15042 54551))
;;; Generated autoloads from mail/feedmail.el

(autoload (quote feedmail-send-it) "feedmail" "\
Send the current mail buffer using the Feedmail package.
This is a suitable value for `send-mail-function'.  It can be used
with various lower-level mechanisms to provide features such as queueing." nil nil)

(autoload (quote feedmail-run-the-queue-no-prompts) "feedmail" "\
Like feedmail-run-the-queue, but suppress confirmation prompts." t nil)

(autoload (quote feedmail-run-the-queue-global-prompt) "feedmail" "\
Like feedmail-run-the-queue, but with a global confirmation prompt.
This is generally most useful if run non-interactively, since you can
bail out with an appropriate answer to the global confirmation prompt." t nil)

(autoload (quote feedmail-run-the-queue) "feedmail" "\
Visit each message in the feedmail queue directory and send it out.
Return value is a list of three things: number of messages sent, number of
messages skipped, and number of non-message things in the queue (commonly
backup file names and the like)." t nil)

(autoload (quote feedmail-queue-reminder) "feedmail" "\
Perform some kind of reminder activity about queued and draft messages.
Called with an optional symbol argument which says what kind of event
is triggering the reminder activity.  The default is 'on-demand, which
is what you typically would use if you were putting this in your emacs start-up
or mail hook code.  Other recognized values for WHAT-EVENT (these are passed
internally by feedmail):

   after-immediate      (a message has just been sent in immediate mode)
   after-queue          (a message has just been queued)
   after-draft          (a message has just been placed in the draft directory)
   after-run            (the queue has just been run, possibly sending messages)

WHAT-EVENT is used as a key into the table feedmail-queue-reminder-alist.  If
the associated value is a function, it is called without arguments and is expected
to perform the reminder activity.  You can supply your own reminder functions
by redefining feedmail-queue-reminder-alist.  If you don't want any reminders,
you can set feedmail-queue-reminder-alist to nil." t nil)

;;;***

;;;### (autoloads (mime-write-decoded-region mime-insert-encoded-file
;;;;;;  mime-decode-string mime-decode-region mime-encode-region)
;;;;;;  "mel" "mime/mel.el" (15042 54552))
;;; Generated autoloads from mime/mel.el

(autoload (quote mime-encode-region) "mel" "\
Encode region START to END of current buffer using ENCODING.
ENCODING must be string." t nil)

(autoload (quote mime-decode-region) "mel" "\
Decode region START to END of current buffer using ENCODING.
ENCODING must be string." t nil)

(autoload (quote mime-decode-string) "mel" "\
Decode STRING using ENCODING.
ENCODING must be string.  If ENCODING is found in
`mime-string-decoding-method-alist' as its key, this function decodes
the STRING by its value." nil nil)

(autoload (quote mime-insert-encoded-file) "mel" "\
Insert file FILENAME encoded by ENCODING format." t nil)

(autoload (quote mime-write-decoded-region) "mel" "\
Decode and write current region encoded by ENCODING into FILENAME.
START and END are buffer positions." t nil)

;;;***

;;;### (autoloads (mime-format-mailcap-command mime-parse-mailcap-file
;;;;;;  mime-mailcap-file mime-parse-mailcap-buffer) "mime-conf"
;;;;;;  "mime/mime-conf.el" (15042 50834))
;;; Generated autoloads from mime/mime-conf.el

(autoload (quote mime-parse-mailcap-buffer) "mime-conf" "\
Parse BUFFER as a mailcap, and return the result.
If optional argument ORDER is a function, result is sorted by it.
If optional argument ORDER is not specified, result is sorted original
order.  Otherwise result is not sorted." nil nil)

(defvar mime-mailcap-file "~/.mailcap" "\
*File name of user's mailcap file.")

(autoload (quote mime-parse-mailcap-file) "mime-conf" "\
Parse FILENAME as a mailcap, and return the result.
If optional argument ORDER is a function, result is sorted by it.
If optional argument ORDER is not specified, result is sorted original
order.  Otherwise result is not sorted." nil nil)

(autoload (quote mime-format-mailcap-command) "mime-conf" "\
Return formated command string from MTEXT and SITUATION.

MTEXT is a command text of mailcap specification, such as
view-command.

SITUATION is an association-list about information of entity.  Its key
may be:

	'type		primary media-type
	'subtype	media-subtype
	'filename	filename
	STRING		parameter of Content-Type field" nil nil)

;;;***

;;;### (autoloads (mime-edit-again mime-edit-decode-message-in-buffer
;;;;;;  turn-on-mime-edit mime-edit-mode) "mime-edit" "mime/mime-edit.el"
;;;;;;  (15043 8314))
;;; Generated autoloads from mime/mime-edit.el

(autoload (quote mime-edit-mode) "mime-edit" "\
MIME minor mode for editing the tagged MIME message.

In this mode, basically, the message is composed in the tagged MIME
format. The message tag looks like:

	--[[text/plain; charset=ISO-2022-JP][7bit]]

The tag specifies the MIME content type, subtype, optional parameters
and transfer encoding of the message following the tag.  Messages
without any tag are treated as `text/plain' by default.  Charset and
transfer encoding are automatically defined unless explicitly
specified.  Binary messages such as audio and image are usually
hidden.  The messages in the tagged MIME format are automatically
translated into a MIME compliant message when exiting this mode.

Available charsets depend on Emacs version being used.  The following
lists the available charsets of each emacs.

Without mule:	US-ASCII and ISO-8859-1 (or other charset) are available.
With mule:	US-ASCII, ISO-8859-* (except for ISO-8859-5), KOI8-R,
		ISO-2022-JP, ISO-2022-JP-2, EUC-KR, CN-GB-2312,
		CN-BIG5 and ISO-2022-INT-1 are available.

ISO-2022-JP-2 and ISO-2022-INT-1 charsets used in mule is expected to
be used to represent multilingual text in intermixed manner.  Any
languages that has no registered charset are represented as either
ISO-2022-JP-2 or ISO-2022-INT-1 in mule.

If you want to use non-ISO-8859-1 charset in Emacs 19 or XEmacs
without mule, please set variable `default-mime-charset'.  This
variable must be symbol of which name is a MIME charset.

If you want to add more charsets in mule, please set variable
`charsets-mime-charset-alist'.  This variable must be alist of which
key is list of charset and value is symbol of MIME charset.  If name
of coding-system is different as MIME charset, please set variable
`mime-charset-coding-system-alist'.  This variable must be alist of
which key is MIME charset and value is coding-system.

Following commands are available in addition to major mode commands:

[make single part]
\\[mime-edit-insert-text]	insert a text message.
\\[mime-edit-insert-file]	insert a (binary) file.
\\[mime-edit-insert-external]	insert a reference to external body.
\\[mime-edit-insert-voice]	insert a voice message.
\\[mime-edit-insert-message]	insert a mail or news message.
\\[mime-edit-insert-mail]	insert a mail message.
\\[mime-edit-insert-signature]	insert a signature file at end.
\\[mime-edit-insert-key]	insert PGP public key.
\\[mime-edit-insert-tag]	insert a new MIME tag.

[make enclosure (maybe multipart)]
\\[mime-edit-enclose-alternative-region]   enclose as multipart/alternative.
\\[mime-edit-enclose-parallel-region]	   enclose as multipart/parallel.
\\[mime-edit-enclose-mixed-region]	   enclose as multipart/mixed.
\\[mime-edit-enclose-digest-region]	   enclose as multipart/digest.
\\[mime-edit-enclose-pgp-signed-region]	   enclose as PGP signed.
\\[mime-edit-enclose-pgp-encrypted-region] enclose as PGP encrypted.
\\[mime-edit-enclose-quote-region]	   enclose as verbose mode
					   (to avoid to expand tags)

[other commands]
\\[mime-edit-set-transfer-level-7bit]	set transfer-level as 7.
\\[mime-edit-set-transfer-level-8bit]	set transfer-level as 8.
\\[mime-edit-set-split]			set message splitting mode.
\\[mime-edit-set-sign]			set PGP-sign mode.
\\[mime-edit-set-encrypt]		set PGP-encryption mode.
\\[mime-edit-preview-message]		preview editing MIME message.
\\[mime-edit-exit]			exit and translate into a MIME
					compliant message.
\\[mime-edit-help]			show this help.
\\[mime-edit-maybe-translate]		exit and translate if in MIME mode,
					then split.

Additional commands are available in some major modes:
C-c C-c		exit, translate and run the original command.
C-c C-s		exit, translate and run the original command.

The following is a message example written in the tagged MIME format.
TABs at the beginning of the line are not a part of the message:

	This is a conventional plain text.  It should be translated
	into text/plain.
	--[[text/plain]]
	This is also a plain text.  But, it is explicitly specified as
	is.
	--[[text/plain; charset=ISO-8859-1]]
	This is also a plain text.  But charset is specified as
	iso-8859-1.

	Hola!  Buenos das.  Cmo est usted?
	--[[text/enriched]]
	This is a <bold>enriched text</bold>.
	--[[image/gif][base64]]...image encoded in base64 here...
	--[[audio/basic][base64]]...audio encoded in base64 here...

User customizable variables (not documented all of them):
 mime-edit-prefix
    Specifies a key prefix for MIME minor mode commands.

 mime-ignore-preceding-spaces
    Preceding white spaces in a message body are ignored if non-nil.

 mime-ignore-trailing-spaces
    Trailing white spaces in a message body are ignored if non-nil.

 mime-auto-hide-body
    Hide a non-textual body message encoded in base64 after insertion
    if non-nil.

 mime-transfer-level
    A number of network transfer level.  It should be bigger than 7.
    If you are in 8bit-through environment, please set 8.

 mime-edit-voice-recorder
    Specifies a function to record a voice message and encode it.
    The function `mime-edit-voice-recorder-for-sun' is for Sun
    SparcStations.

 mime-edit-mode-hook
    Turning on MIME mode calls the value of mime-edit-mode-hook, if
    it is non-nil.

 mime-edit-translate-hook
    The value of mime-edit-translate-hook is called just before translating
    the tagged MIME format into a MIME compliant message if it is
    non-nil.  If the hook call the function mime-edit-insert-signature,
    the signature file will be inserted automatically.

 mime-edit-exit-hook
    Turning off MIME mode calls the value of mime-edit-exit-hook, if it is
    non-nil." t nil)

(autoload (quote turn-on-mime-edit) "mime-edit" "\
Unconditionally turn on MIME-Edit mode." t nil)

(defalias (quote edit-mime) (quote turn-on-mime-edit))

(autoload (quote mime-edit-decode-message-in-buffer) "mime-edit" nil nil nil)

(autoload (quote mime-edit-again) "mime-edit" "\
Convert current buffer to MIME-Edit buffer and turn on MIME-Edit mode.
Content-Type and Content-Transfer-Encoding header fields will be
converted to MIME-Edit tags." t nil)

;;;***

;;;### (autoloads (mime-parse-buffer mime-uri-parse-cid mime-parse-msg-id
;;;;;;  mime-read-Content-Transfer-Encoding mime-parse-Content-Transfer-Encoding
;;;;;;  mime-read-Content-Disposition mime-parse-Content-Disposition
;;;;;;  mime-read-Content-Type mime-parse-Content-Type) "mime-parse"
;;;;;;  "mime/mime-parse.el" (15042 50834))
;;; Generated autoloads from mime/mime-parse.el

(autoload (quote mime-parse-Content-Type) "mime-parse" "\
Parse STRING as field-body of Content-Type field.
Return value is
    (PRIMARY-TYPE SUBTYPE (NAME1 . VALUE1)(NAME2 . VALUE2) ...)
or nil.  PRIMARY-TYPE and SUBTYPE are symbol and NAME_n and VALUE_n
are string." nil nil)

(autoload (quote mime-read-Content-Type) "mime-parse" "\
Read field-body of Content-Type field from current-buffer,
and return parsed it.  Format of return value is as same as
`mime-parse-Content-Type'." nil nil)

(autoload (quote mime-parse-Content-Disposition) "mime-parse" "\
Parse STRING as field-body of Content-Disposition field." nil nil)

(autoload (quote mime-read-Content-Disposition) "mime-parse" "\
Read field-body of Content-Disposition field from current-buffer,
and return parsed it." nil nil)

(autoload (quote mime-parse-Content-Transfer-Encoding) "mime-parse" "\
Parse STRING as field-body of Content-Transfer-Encoding field." nil nil)

(autoload (quote mime-read-Content-Transfer-Encoding) "mime-parse" "\
Read field-body of Content-Transfer-Encoding field from
current-buffer, and return it.
If is is not found, return DEFAULT-ENCODING." nil nil)

(autoload (quote mime-parse-msg-id) "mime-parse" "\
Parse TOKENS as msg-id of Content-Id or Message-Id field." nil nil)

(autoload (quote mime-uri-parse-cid) "mime-parse" "\
Parse STRING as cid URI." nil nil)

(autoload (quote mime-parse-buffer) "mime-parse" "\
Parse BUFFER as a MIME message.
If buffer is omitted, it parses current-buffer." nil nil)

;;;***

;;;### (autoloads (mime-play-entity mime-preview-play-current-entity)
;;;;;;  "mime-play" "mime/mime-play.el" (15042 50834))
;;; Generated autoloads from mime/mime-play.el

(autoload (quote mime-preview-play-current-entity) "mime-play" "\
Play current entity.
It decodes current entity to call internal or external method.  The
method is selected from variable `mime-acting-condition'.
If IGNORE-EXAMPLES (C-u prefix) is specified, this function ignores
`mime-acting-situation-example-list'.
If MODE is specified, play as it.  Default MODE is \"play\"." t nil)

(autoload (quote mime-play-entity) "mime-play" "\
Play entity specified by ENTITY.
It decodes the entity to call internal or external method.  The method
is selected from variable `mime-acting-condition'.  If MODE is
specified, play as it.  Default MODE is \"play\"." nil nil)

;;;***

;;;### (autoloads (mime-view-buffer mime-display-message) "mime-view"
;;;;;;  "mime/mime-view.el" (15042 50834))
;;; Generated autoloads from mime/mime-view.el

(autoload (quote mime-display-message) "mime-view" "\
View MESSAGE in MIME-View mode.

Optional argument PREVIEW-BUFFER specifies the buffer of the
presentation.  It must be either nil or a name of preview buffer.

Optional argument MOTHER specifies mother-buffer of the preview-buffer.

Optional argument DEFAULT-KEYMAP-OR-FUNCTION is nil, keymap or
function.  If it is a keymap, keymap of MIME-View mode will be added
to it.  If it is a function, it will be bound as default binding of
keymap of MIME-View mode.

Optional argument ORIGINAL-MAJOR-MODE is major-mode of representation
buffer of MESSAGE.  If it is nil, current `major-mode' is used.

Optional argument KEYMAP is keymap of MIME-View mode.  If it is
non-nil, DEFAULT-KEYMAP-OR-FUNCTION is ignored.  If it is nil,
`mime-view-mode-default-map' is used." nil nil)

(autoload (quote mime-view-buffer) "mime-view" "\
View RAW-BUFFER in MIME-View mode.
Optional argument PREVIEW-BUFFER is either nil or a name of preview
buffer.
Optional argument DEFAULT-KEYMAP-OR-FUNCTION is nil, keymap or
function.  If it is a keymap, keymap of MIME-View mode will be added
to it.  If it is a function, it will be bound as default binding of
keymap of MIME-View mode.
Optional argument REPRESENTATION-TYPE is representation-type of
message.  It must be nil, `binary' or `cooked'.  If it is nil,
`cooked' is used as default." t nil)

;;;***

;;;### (autoloads (module-installed-p exec-installed-p file-installed-p
;;;;;;  get-latest-path add-latest-path add-path) "path-util" "emacs-lisp/path-util.el"
;;;;;;  (15042 50825))
;;; Generated autoloads from emacs-lisp/path-util.el

(autoload (quote add-path) "path-util" "\
Add PATH to `load-path' if it exists under `default-load-path'
directories and it does not exist in `load-path'.

You can use following PATH styles:
	load-path relative: \"PATH/\"
			(it is searched from `defaul-load-path')
	home directory relative: \"~/PATH/\" \"~USER/PATH/\"
	absolute path: \"/HOO/BAR/BAZ/\"

You can specify following OPTIONS:
	'all-paths	search from `load-path'
			instead of `default-load-path'
	'append		add PATH to the last of `load-path'" nil nil)

(autoload (quote add-latest-path) "path-util" "\
Add latest path matched by PATTERN to `load-path'
if it exists under `default-load-path' directories
and it does not exist in `load-path'.

If optional argument ALL-PATHS is specified, it is searched from all
of load-path instead of default-load-path." nil nil)

(autoload (quote get-latest-path) "path-util" "\
Return latest directory in default-load-path
which is matched to regexp PATTERN.
If optional argument ALL-PATHS is specified,
it is searched from all of load-path instead of default-load-path." nil nil)

(autoload (quote file-installed-p) "path-util" "\
Return absolute-path of FILE if FILE exists in PATHS.
If PATHS is omitted, `load-path' is used." nil nil)

(defvar exec-suffix-list (quote ("")) "\
*List of suffixes for executable.")

(autoload (quote exec-installed-p) "path-util" "\
Return absolute-path of FILE if FILE exists in PATHS.
If PATHS is omitted, `exec-path' is used.
If suffixes is omitted, `exec-suffix-list' is used." nil nil)

(autoload (quote module-installed-p) "path-util" "\
Return t if module is provided or exists in PATHS.
If PATHS is omitted, `load-path' is used." nil nil)

;;;***

;;;### (autoloads (pgg-snarf-keys-region pgg-insert-key pgg-verify-region
;;;;;;  pgg-sign-region pgg-decrypt-region pgg-encrypt-region) "pgg"
;;;;;;  "mime/pgg.el" (15042 50834))
;;; Generated autoloads from mime/pgg.el

(autoload (quote pgg-encrypt-region) "pgg" "\
Encrypt the current region between START and END for RCPTS." t nil)

(autoload (quote pgg-decrypt-region) "pgg" "\
Decrypt the current region between START and END." t nil)

(autoload (quote pgg-sign-region) "pgg" "\
Make the signature from text between START and END.
If the optional 3rd argument CLEARTEXT is non-nil, it does not create
a detached signature." t nil)

(autoload (quote pgg-verify-region) "pgg" "\
Verify the current region between START and END.
If the optional 3rd argument SIGNATURE is non-nil, it is treated as
the detached signature of the current region.

If the optional 4th argument FETCH is non-nil, we attempt to fetch the
signer's public key from `pgg-default-keyserver-address'." t nil)

(autoload (quote pgg-insert-key) "pgg" "\
Insert the ASCII armored public key." t nil)

(autoload (quote pgg-snarf-keys-region) "pgg" "\
Import public keys in the current region between START and END." t nil)

;;;***

;;;### (autoloads (pgg-make-scheme-gpg) "pgg-gpg" "mime/pgg-gpg.el"
;;;;;;  (15042 50834))
;;; Generated autoloads from mime/pgg-gpg.el

(autoload (quote pgg-make-scheme-gpg) "pgg-gpg" nil nil nil)

;;;***

;;;### (autoloads (pgg-make-scheme-pgp) "pgg-pgp" "mime/pgg-pgp.el"
;;;;;;  (15042 50834))
;;; Generated autoloads from mime/pgg-pgp.el

(autoload (quote pgg-make-scheme-pgp) "pgg-pgp" nil nil nil)

;;;***

;;;### (autoloads (pgg-make-scheme-pgp5) "pgg-pgp5" "mime/pgg-pgp5.el"
;;;;;;  (15042 50834))
;;; Generated autoloads from mime/pgg-pgp5.el

(autoload (quote pgg-make-scheme-pgp5) "pgg-pgp5" nil nil nil)

;;;***

;;;### (autoloads (mime-display-application/x-postpet postpet-decode)
;;;;;;  "postpet" "mime/postpet.el" (15042 50834))
;;; Generated autoloads from mime/postpet.el

(autoload (quote postpet-decode) "postpet" nil nil nil)

(autoload (quote mime-display-application/x-postpet) "postpet" nil nil nil)

;;;***

;;;### (autoloads (qmtp-send-buffer qmtp-via-qmtp) "qmtp" "mail/qmtp.el"
;;;;;;  (15042 50833))
;;; Generated autoloads from mail/qmtp.el

(defvar qmtp-open-connection-function (function open-network-stream))

(autoload (quote qmtp-via-qmtp) "qmtp" nil nil nil)

(autoload (quote qmtp-send-buffer) "qmtp" nil nil nil)

;;;***

;;;### (autoloads (richtext-decode richtext-encode) "richtext" "richtext.el"
;;;;;;  (15042 50824))
;;; Generated autoloads from richtext.el

(autoload (quote richtext-encode) "richtext" nil nil nil)

(autoload (quote richtext-decode) "richtext" nil nil nil)

;;;***

;;;### (autoloads (smime-verify-region smime-sign-region smime-decrypt-region
;;;;;;  smime-encrypt-region) "smime" "mime/smime.el" (15042 50835))
;;; Generated autoloads from mime/smime.el

(autoload (quote smime-encrypt-region) "smime" "\
Encrypt the current region between START and END." nil nil)

(autoload (quote smime-decrypt-region) "smime" "\
Decrypt the current region between START and END." nil nil)

(autoload (quote smime-sign-region) "smime" "\
Make the signature from text between START and END.
If the optional 3rd argument CLEARTEXT is non-nil, it does not create
a detached signature." nil nil)

(autoload (quote smime-verify-region) "smime" "\
Verify the current region between START and END.
If the optional 3rd argument SIGNATURE is non-nil, it is treated as
the detached signature of the current region." nil nil)

;;;***

;;;### (autoloads (smtp-send-buffer smtp-via-smtp) "smtp" "mail/smtp.el"
;;;;;;  (15042 50833))
;;; Generated autoloads from mail/smtp.el

(defvar smtp-open-connection-function (function open-network-stream))

(autoload (quote smtp-via-smtp) "smtp" "\
Like `smtp-send-buffer', but sucks in any errors." nil nil)

(autoload (quote smtp-send-buffer) "smtp" "\
Send a message.
SENDER is an envelope sender address.
RECIPIENTS is a list of envelope recipient addresses.
BUFFER may be a buffer or a buffer name which contains mail message." nil nil)

;;;***

;;;### (autoloads (smtpmail-send-it) "smtpmail" "mail/smtpmail.el"
;;;;;;  (15042 50834))
;;; Generated autoloads from mail/smtpmail.el

(autoload (quote smtpmail-send-it) "smtpmail" nil nil nil)

;;;***

;;;### (autoloads (std11-extract-address-components std11-parse-msg-ids-string
;;;;;;  std11-parse-msg-id-string std11-parse-addresses-string std11-parse-address-string
;;;;;;  std11-fill-msg-id-list-string std11-msg-id-string std11-full-name-string
;;;;;;  std11-address-string std11-lexical-analyze std11-unfold-string
;;;;;;  std11-field-body std11-narrow-to-header std11-fetch-field)
;;;;;;  "std11" "mime/std11.el" (15042 50835))
;;; Generated autoloads from mime/std11.el

(autoload (quote std11-fetch-field) "std11" "\
Return the value of the header field NAME.
The buffer is expected to be narrowed to just the headers of the message." nil nil)

(autoload (quote std11-narrow-to-header) "std11" "\
Narrow to the message header.
If BOUNDARY is not nil, it is used as message header separator." nil nil)

(autoload (quote std11-field-body) "std11" "\
Return the value of the header field NAME.
If BOUNDARY is not nil, it is used as message header separator." nil nil)

(autoload (quote std11-unfold-string) "std11" "\
Unfold STRING as message header field." nil nil)

(autoload (quote std11-lexical-analyze) "std11" "\
Analyze STRING as lexical tokens of STD 11." nil nil)

(autoload (quote std11-address-string) "std11" "\
Return string of address part from parsed ADDRESS of RFC 822." nil nil)

(autoload (quote std11-full-name-string) "std11" "\
Return string of full-name part from parsed ADDRESS of RFC 822." nil nil)

(autoload (quote std11-msg-id-string) "std11" "\
Return string from parsed MSG-ID of RFC 822." nil nil)

(autoload (quote std11-fill-msg-id-list-string) "std11" "\
Fill list of msg-id in STRING, and return the result." nil nil)

(autoload (quote std11-parse-address-string) "std11" "\
Parse STRING as mail address." nil nil)

(autoload (quote std11-parse-addresses-string) "std11" "\
Parse STRING as mail address list." nil nil)

(autoload (quote std11-parse-msg-id-string) "std11" "\
Parse STRING as msg-id." nil nil)

(autoload (quote std11-parse-msg-ids-string) "std11" "\
Parse STRING as `*(phrase / msg-id)'." nil nil)

(autoload (quote std11-extract-address-components) "std11" "\
Extract full name and canonical address from STRING.
Returns a list of the form (FULL-NAME CANONICAL-ADDRESS).
If no name can be extracted, FULL-NAME will be nil." nil nil)

;;;***

